#include "kmtail.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("KDE4 multiple Tail Application");

static const char version[] = "1.0";

int main(int argc, char **argv)
{
    KAboutData about("kmtail", 0, ki18n("KmTail"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2013 Robin Atwood"), KLocalizedString(), "www.binro.org", "robin@binro.org");
    about.addAuthor( ki18n( "Robin Atwood"), ki18n("Developer"), "robin@binro.org" );
 		about.setTranslator( ki18nc("NAME OF TRANSLATORS", "Your names"),
												 ki18nc("EMAIL OF TRANSLATORS", "Your emails") );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[file]", ki18n( "file to tail" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(KmTail);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
						KmTail *widget = new KmTail;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
								KmTail *widget = new KmTail( args );
								widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
